%define version 2.2.0
%define release 12mdk

Summary: A set of system configuration and setup files.
Name: setup
Version: %{version}
Release: %{release}
License: public domain
Group: System/Configuration/Other
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source: setup-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Conflicts: crontabs <= 1.7-12mdk
Conflicts: bash <= 2.05-2mdk

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUILD_ROOT=%buildroot mandir=%_mandir CFLAGS='%optflags'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%_mandir/man8/*8*
# find_lang can't find man pages yet :-(
%lang(fr) %_mandir/fr/man8/*8*
/usr/share/base-passwd/*
/usr/sbin/update-passwd
/usr/bin/run-parts
%config(noreplace) /etc/services
%config(noreplace) /etc/exports
%config(noreplace) /etc/inputrc
%config(noreplace) /etc/filesystems
%config(noreplace) /etc/host.conf
%config(noreplace) /etc/hosts.allow
%config(noreplace) /etc/hosts.deny
%config(noreplace) /etc/motd
%config(noreplace) /etc/printcap
%config(noreplace) /etc/profile
%config(noreplace) /etc/bashrc
%config(noreplace) /etc/shells
%config(noreplace) /etc/protocols
%attr(0600,root,root) %config(missingok,noreplace) /etc/securetty
%config(noreplace) /etc/csh.login
%config(noreplace) /etc/csh.cshrc
%config(noreplace) /etc/profile.d/*
%verify(not md5 size mtime) /var/log/lastlog

%post 
/usr/sbin/update-passwd
pwconv 2>/dev/null >/dev/null  || :
grpconv 2>/dev/null >/dev/null  || :

%changelog
* Thu Sep 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-12mdk
- passgrp/group: Fix syntax for postgres user (L.Borntreger).
- services: Fix ldap (thks: charles)
- Makefile, setup.spec: Added French man pages (pablo)

* Fri Aug 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-11mdk
- Rebuild to fix weird permissions.

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-10mdk
- passgrp/group: Add wine group.

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-9mdk
- passgrp/Makefile, utils/Makefile: Correct install file for the
  latest install of fileutils (mattias).

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-8mdk
- passgrp/: group, passwd: Add rpm group/passwd.

* Tue Jun  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-7mdk
- services: Add lisa service (Michael Brown <mandrake-cooker@fensystems.co.uk>).
- bashrc: Remove the tput stuff, it screwd up things.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-6mdk
- utils/run-parts.c: A file with a . is a valid name (Sebastian
  Dransfeld <sebastid@stud.ntnu.no>)
- passgrp/: group, passwd: Add ldap user/group (vince).

* Wed May 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-5mdk
- profile: Cleanup.
- passgrp/: group, passwd: Add squid group.
- passgrp/group: added nofiles (gid 401) for qmail compat (vdanen).

* Tue May 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-4mdk
- Makefile, bashrc, setup.spec: Add bashrc make the package conflict
  with older bash.

* Mon May 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-3mdk
- utils/run-parts.c: Launch at the latest time with /bin/sh if failed
  (and a script with shbang).

* Thu May  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Makefile, setup.spec, utils/.cvsignore, utils/Makefile,
  utils/run-parts.8, utils/run-parts.c: Add C program run-parts from
  Debian here.
- protocols: Merge with rh version.
- csh.login: Remove the source of profile.d. Add set of env INPUTRC
  if ~/.inputrc is here and binkey suppr under tcsh.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Makefile: Make a CVS release each rpm.
- passgrp/update-passwd.[c8]: Merge with Debian 3.2.0.
- profile.d/: xhost.csh, xhost.sh: Check $SSH_TTY is not set before
  setting authority (#3052).
- csh.cshrc: Add suggetions from zijdenbos@videotron.ca (#3169)
- Bump to 2.2.0.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-42mdk
- services: Don't do tcp/ with ntalk/talk since it break them.

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-41mdk
- services: 901 is swat.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-40mdk
- passgrp/: group, passwd: Add postgres user/group (#2702)
- services: s|nic-name|whois|; like old day to make works fwhois

* Tue Mar 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.1.9-39mdk
- rpcuser is back for nfs-utils (kept rpc for portmap).

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.1.9-38mdk
- rpc user is called rpc and not rpcuser.

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 2.1.9-37mdk
- /etc/filesystems: add reiserfs

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-36mdk
- services: Merge list from
  http://www.isi.edu/in-notes/iana/assignments/port-numbers.

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-35mdk
* passgrp/: group, passwd: Add rpcuser.

* Thu Feb 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-34mdk
- setup.spec: Relaunch pwconv and grpconv after update-passwd.

* Wed Feb 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-33mdk
- passgrp/: group, passwd: Add gdm group and user.  Add usb group.
- profile: added definition of NLSPATH variable (pablo).
- inputrc: fix for problems when bash is in vi mode set at login
  time (reported by Zot O'Connor) (pablo).

* Mon Feb 05 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-32mdk
- Add htdig user.

* Wed Jan  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-31mdk
- passgrp/: group, passwd: Add dhcp user and group for dark-florin,
  and sort the list BTW:.

* Wed Nov 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.1.9-30mdk
- removed PreReq on /bin/sh.
- fixed building.

* Thu Nov 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-29mdk
- Set the /etc/profile.d/* scripts as no replace.

* Thu Nov 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-28mdk
- passgrp/update-passwd.8: Fixes documentation.

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-27mdk
- profile.d/xhost.csh: Fix forwarding with ssh (#1192).

* Fri Nov 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-26mdk
- services: Add talk as udp as well. 

* Wed Nov  8 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-25mdk
- source /etc/profile.d/inputrc.csh in /etc/csh.cshrc, not only in
/etc/csh.login, that way key bindings work even you don't have a login shell
(4jl)

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-24mdk
- Add nscd user/group.

* Wed Oct 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-23mdk
- Remove the noarch.
- Integration of update-passwd from Debian.

* Wed Oct 11 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-22mdk
- move the home directory of sympa to /var/lib/sympa

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-21mdk
- /etc/csh.login: better fix for non-readable PATH dirs (unhash, thanks to
Christos Zoulas)
- /etc/group: fix syntax for wnn and named entries

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-20mdk
- /etc/csh.login: better formatted warning (see 19mdk)

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-19mdk
- /etc/csh.login: add a warning for high security level where /usr/bin is
non-user readable and tcsh doesn't handle it nicely

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-18mdk
- /etc/group: fix syntax for the sympa entry

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-17mdk
- Add named user.

* Wed Sep  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-16mdk
- passwd: define home of ftp user to /var/ftp.

* Fri Aug  4 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-15mdk
- add a lot of of noreplace's (eg: /etc/exports!)

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-14mdk
- BM.

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-13mdk
- group (slocate): Add slocate group.

* Thu Jun 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.9-12mdk
- added /etc/shells

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-11mdk
- services: Add jserver entrie.
- group (wnn): add wnn.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-10mdk
- profile: fix LESSOPEN.

* Wed Apr 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-9mdk
- profile: export LESSOPEN variable if /usr/bin/lesspipe.sh is installed.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-8mdk
- group (sympa): Add sympa as 89.
- passwd (sympa): Add sympa as 89.
- initscripts.spec: /etc/profile.d/ as config files.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-7mdk
- initscripts.spec: adjust groups.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-6mdk
- inputrc: revert pablo stuff to my stuff (until pablo come with a
  better fix :\).

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-5mdk
- add swat entry for samba

* Sun Mar 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-4mdk
- inputrc: fix backspace bug (until pablo got a better fix).

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-3mdk
- setup.spec. Really insert inputrc.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- inputrc: Reinsert Pablo file (was not included).

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-1mdk
- Makefile: 2.1.9.
- ChangeLog: create it.
- profile.d/xhost*: check if the XAUTHORITY variable is not defined.
- etcskel.spec: addd some files in noreplace.
- filesystems: move it here and add defaults sane.
- profile: don't define the PATH here.
- profile: HISTFILESIZE is obsoletes, don't export it.
- profile: Check before if INPUTRC variable is not defined and ~/.inputrc
	is not present.
- services: Add LDAP services.
- services: fix mailq lines (udp & tcp).

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-15mdk
- cdrom groups == 22.

* Thu Dec 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't request /bin/csh or /bin/sh

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- in CVS  and real Makefile.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-11mdk
- set the variable PROFILE_LOADED in /etc/setup

* Mon Dec 13 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix typos in group
- add x10 and radio groups here (so the gid do not change)

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- make empty the securetty for security.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Oups take the wrong version :\.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- export XAUTHORITY to permit root to launch X applications (but not others
  users !!!).

* Wed Nov 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove PATH of profile (handle by mandrake security).

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add cdrecord::80 and audio::81 in group.
- Remove default umask (handle by mdk security).
- Set core files only for root.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.
- split csh.login into csh.login and csh.cshrc (r)
- fix pop service names (r)
- fix ipv6 protocols entries (r)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Really fix limit coredump problem (cant believe i forgot this)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- use tcp not udp for talk in /etc/services

* Tue Sep 14 1999 Pixel <pixel@mandrakesoft.com
- added group postgres to fix the bogus useradd of install2 

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Wed Jul 28 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added the following default groups to /etc/group:
   smb:		for allwoing mounting/unmounting of SMB shares
   floppy:	for allowing raw acces to the floppies (eg with mtools)
   cdrom:	for allowing raw access to CDs (eg for music)
   pppusers:	for users allowed to launch pppd
   cdwriters:	for users allowed to roast CDs
   audio:	for users allowed to open /dev/dsp etc.
   dos:		for r/w access to mounted FAT partitions.
 (reminder: other interesting groups are 'lp' for access to the printer(s))

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ulimit -c 0 for user.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bash2 can't handle ulimit for a user :-(

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- unset variables used in /etc/csh.cshrc (#1212)

* Mon Jan 18 1999 Jeff Johnson <jbj@redhat.com>
- compile for Raw Hide.

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- fix the csh.cshrc re: ${PATH} undefined

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- /etc/profile uses $i, which needs to be unset

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made /etc/passwd and /etc/group %config(noreplace)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /etc/inetd.conf, /etc/rpc
- flagged /etc/securetty as missingok
- fixed buildroot stuff in spec file

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Don't verify md5sum, size, or timestamp of /var/log/lastlog, /etc/passwd,
  or /etc/group.

